/**
 * StateGuide 部件模型
 *
 * @export
 * @class StateGuideModel
 */
export default class StateGuideModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof StateGuideModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'createman',
        prop: 'createman',
      },
      {
        name: 'ibizbookname',
        prop: 'ibizbookname',
      },
      {
        name: 'ibizbook',
        prop: 'ibizbookid',
      },
      {
        name: 'createdate',
        prop: 'createdate',
      },
      {
        name: 'updateman',
        prop: 'updateman',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
      },
      {
        name: 'author',
        prop: 'author',
      },
      {
        name: 'price',
        prop: 'price',
      },
      {
        name: 'press',
        prop: 'press',
      },
      {
        name: 'type',
        prop: 'type',
      },
      {
        name: 'booknumber',
        prop: 'booknumber',
      },
      {
        name: 'subtext',
        prop: 'subtext',
      },
      {
        name: 'lendouttime',
        prop: 'lendouttime',
      },
      {
        name: 'returntime',
        prop: 'returntime',
      },
      {
        name: 'icon',
        prop: 'icon',
      },
      {
        name: 'sailstate',
        prop: 'sailstate',
      },
      {
        name: 'borrowstatus',
        prop: 'borrowstatus',
      },
      {
        name: 'stepstatus',
        prop: 'stepstatus',
      },
    ]
  }


}